## Description
This project is a command-line version of the popular game **2048**, implemented in C++.  
- **Objective**: Combine tiles of the same number to create a tile with the number 2048.  
- **Gameplay**: The board starts with two tiles. On each move, you can slide the tiles up, down, left, or right. Tiles of the same value that collide will merge into a tile with the sum of their values.

## Features
- 4x4 board initialized with random tiles.
- Merge logic for up, down, left, and right moves.
- Score tracking.
- Game Over detection when no more moves are possible.